package StructuralClass;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class LottieEventConfig extends JceStruct {
    static EventValidateInfo cache_validateInfo;
    public int cycleTimes;
    public String lottieFileUrl;
    public int playTimes;
    public EventValidateInfo validateInfo;

    static {
        LottieEventConfig.cache_validateInfo = new EventValidateInfo();
    }

    public LottieEventConfig() {
        super();
        this.validateInfo = null;
        this.lottieFileUrl = "";
        this.cycleTimes = 1;
        this.playTimes = 1;
    }

    public LottieEventConfig(EventValidateInfo arg3, String arg4, int arg5, int arg6) {
        super();
        this.validateInfo = null;
        this.lottieFileUrl = "";
        this.cycleTimes = 1;
        this.playTimes = 1;
        this.validateInfo = arg3;
        this.lottieFileUrl = arg4;
        this.cycleTimes = arg5;
        this.playTimes = arg6;
    }

    public final void readFrom(c arg4) {
        this.validateInfo = (EventValidateInfo) arg4.a(LottieEventConfig.cache_validateInfo, 0, false);
        this.lottieFileUrl = arg4.b(1, false);
        this.cycleTimes = arg4.a(this.cycleTimes, 2, false);
        this.playTimes = arg4.a(this.playTimes, 3, false);
    }

    public final void writeTo(d arg3) {
        if(this.validateInfo != null) {
            arg3.a(this.validateInfo, 0);
        }

        if(this.lottieFileUrl != null) {
            arg3.a(this.lottieFileUrl, 1);
        }

        arg3.a(this.cycleTimes, 2);
        arg3.a(this.playTimes, 3);
    }

}

